Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "animate-image",
    "input": {
      "model": "kling-o3-image-to-video",
      "image_url": "https://example.com/start-frame.jpg",
      "prompt": "Camera slowly zooming in",
      "duration": 5
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "animate-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits44 credits per second
Duration3–15 seconds (configurable)
Toolanimate-image

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesanimate-image
input.modelstringYeskling-o3-image-to-video
input.image_urlstringYesURL of the start frame image
input.promptstringNoDescription of the desired motion
input.end_image_urlstringNoURL of the end frame image for guided animation
input.durationnumberNoVideo duration in seconds (3–15, default: 5)
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "animate-image",
    "input": {
      "model": "kling-o3-image-to-video",
      "image_url": "https://example.com/start-frame.jpg",
      "prompt": "Camera slowly zooming in",
      "duration": 5
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "animate-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}